Skip to main content
GET
/
stocks
/
{symbol}
/
ticks
Get Historical Ticks
curl --request GET \
  --url https://api.tradewatch.io/stocks/{symbol}/ticks \
  --header 'api-key: <api-key>'
{
  "items": [
    {
      "time": "2023-11-07T05:31:56Z",
      "ask": 123,
      "bid": 123,
      "mid": 123
    }
  ],
  "total": 123,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}

Authorizations

api-key
string
header
required

Authentication via API key header

Path Parameters

symbol
string
required

Query Parameters

start
integer
required

Unix timestamp (inclusive).

end
integer
required

Unix timestamp (exclusive).

cursor
string

Cursor for the next page

limit
integer
default:100

The number of ticks per page.

Response

Successful Response

items
HistoricalRawTick · object[]
required
total
integer | null

Total items

current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page